diff --git a/fc-solve/source/fcc_brfs.h b/fc-solve/source/fcc_brfs.h
index 41cbbd7c3..3fce17b9b 100644
--- a/fc-solve/source/fcc_brfs.h
+++ b/fc-solve/source/fcc_brfs.h
@@ -165,312 +168,317 @@ static void perform_FCC_brfs(const fcs_dbm_variant_type_t local_variant,
         const unsigned char extra_move, void *const context),
     void *add_start_point_context,
 #endif
-    /* [Output]: Is the min_by_sorting new.
-     * */
-    fcs_bool_t *is_min_by_sorting_new,
-    /* [Output]: The min_by_sorting.
-     * */
-    fcs_encoded_state_buffer_t *const min_by_sorting,
-    /* [Input/Output]: The ${next}_depth_FCCs.DoesExist
-     * (for the right depth based on the current depth and pruning.)
-     * Of type Map{min_by_sorting => Bool Exists} DoesExist.
-     */
-    dict_t *does_min_by_sorting_exist,
-    /* [Input/Output]: The LRU cache.
-     * Of type <<LRU_Map{any_state_in_the_FCCs => Bool Exists} Cache>>
-     * */
-    fcs_lru_cache_t *does_state_exist_in_any_FCC_cache,
-    /* [Output]: the number of new positions/states scanned in the FCC. If
-     * it's not new, this will be set to zero (0). It includes the initial
-     * position, but does not include the start points of the new FCC.
-     * */
-    long *const out_num_new_positions,
-    /* [Input/Output]: the list allocator. */
-    fcs_fcc_moves_seq_allocator_t *const moves_list_allocator,
-    /* [Input/Output]: The meta allocator - needed to allocate and free
-     * the compact allocators. */
-    fcs_meta_compact_allocator_t *const meta_alloc)
-{
-    void *tree_recycle_bin = NULL;
-    fcs_dbm_queue_item_t *queue_head, *queue_tail, *queue_recycle_bin = NULL,
-                                                   *extracted_item;
-    fcs_derived_state_t *derived_list_recycle_bin = NULL, *next_derived_iter;
-    fcs_state_keyval_pair_t state;
-    fcs_bool_t running_min_was_assigned = FALSE;
-    fcs_encoded_state_buffer_t running_min = {{0}};
-    long num_new_positions = 0;
-    DECLARE_IND_BUF_T(indirect_stacks_buffer)
+        /* [Output]: Is the min_by_sorting new.
+         * */
+        fcs_bool_t *is_min_by_sorting_new,
+        /* [Output]: The min_by_sorting.
+         * */
+        fcs_encoded_state_buffer_t *const min_by_sorting,
+        /* [Input/Output]: The ${next}_depth_FCCs.DoesExist
+         * (for the right depth based on the current depth and pruning.)
+         * Of type Map{min_by_sorting => Bool Exists} DoesExist.
+         */
+        dict_t *does_min_by_sorting_exist,
+        /* [Input/Output]: The LRU cache.
+         * Of type <<LRU_Map{any_state_in_the_FCCs => Bool Exists} Cache>>
+         * */
+        fcs_lru_cache_t *does_state_exist_in_any_FCC_cache,
+        /* [Output]: the number of new positions/states scanned in the FCC. If
+         * it's not new, this will be set to zero (0). It includes the initial
+         * position, but does not include the start points of the new FCC.
+         * */
+        long *const out_num_new_positions,
+        /* [Input/Output]: the list allocator. */
+        fcs_fcc_moves_seq_allocator_t *const moves_list_allocator,
+        /* [Input/Output]: The meta allocator - needed to allocate and free
+         * the compact allocators. */
+        fcs_meta_compact_allocator_t *const meta_alloc)
+    {
+        void *tree_recycle_bin = NULL;
+        fcs_dbm_queue_item_t *queue_head, *queue_tail,
+            *queue_recycle_bin = NULL, *extracted_item;
+        fcs_derived_state_t *derived_list_recycle_bin = NULL,
+                            *next_derived_iter;
+        fcs_state_keyval_pair_t state;
+        fcs_bool_t running_min_was_assigned = FALSE;
+        fcs_encoded_state_buffer_t running_min = {{0}};
+        long num_new_positions = 0;
+        DECLARE_IND_BUF_T(indirect_stacks_buffer)
 
 /* Some sanity checks. */
 #ifndef NDEBUG
-    assert(add_start_point);
-    assert(add_start_point_context);
-    assert(is_min_by_sorting_new);
-    assert(min_by_sorting);
-    assert(does_min_by_sorting_exist);
-    assert(does_state_exist_in_any_FCC_cache);
+        assert(add_start_point);
+        assert(add_start_point_context);
+        assert(is_min_by_sorting_new);
+        assert(min_by_sorting);
+        assert(does_min_by_sorting_exist);
+        assert(does_state_exist_in_any_FCC_cache);
 #endif
 
-    /* Initialize the allocators. */
-    fcs_compact_allocator_t queue_allocator, derived_list_allocator;
-    fc_solve_compact_allocator_init(&(queue_allocator), meta_alloc);
-    fc_solve_compact_allocator_init(&(derived_list_allocator), meta_alloc);
+        /* Initialize the allocators. */
+        fcs_compact_allocator_t queue_allocator, derived_list_allocator;
+        fc_solve_compact_allocator_init(&(queue_allocator), meta_alloc);
+        fc_solve_compact_allocator_init(&(derived_list_allocator), meta_alloc);
 
-    /* TODO : maybe pass delta_stater as an argument  */
-    fc_solve_delta_stater_t delta_stater;
-    fc_solve_delta_stater_init(
-        &delta_stater, &(init_state->s), STACKS_NUM, FREECELLS_NUM
+        /* TODO : maybe pass delta_stater as an argument  */
+        fc_solve_delta_stater_t delta_stater;
+        fc_solve_delta_stater_init(
+            &delta_stater, &(init_state->s), STACKS_NUM, FREECELLS_NUM
 #ifndef FCS_FREECELL_ONLY
-        ,
-        FCS_SEQ_BUILT_BY_ALTERNATE_COLOR
+            ,
+            FCS_SEQ_BUILT_BY_ALTERNATE_COLOR
 #endif
-    );
-    dict_t *traversed_states =
-        fcc_brfs_kaz_tree_create(meta_alloc, &tree_recycle_bin);
+        );
+        dict_t *traversed_states =
+            fcc_brfs_kaz_tree_create(meta_alloc, &tree_recycle_bin);
 
-    fcs_dbm_queue_item_t *new_item =
-        (fcs_dbm_queue_item_t *)fcs_compact_alloc_ptr(
-            &(queue_allocator), sizeof(*new_item));
-    *new_item = (typeof(*new_item)){.key = start_state,
-        .next = NULL,
-        .moves_seq = {.count = 0, .moves_list = NULL}};
-    queue_head = queue_tail = new_item;
+        fcs_dbm_queue_item_t *new_item =
+            (fcs_dbm_queue_item_t *)fcs_compact_alloc_ptr(
+                &(queue_allocator), sizeof(*new_item));
+        *new_item = (typeof(*new_item)){.key = start_state,
+            .next = NULL,
+            .moves_seq = {.count = 0, .moves_list = NULL}};
+        queue_head = queue_tail = new_item;
 
-    *out_num_new_positions = num_new_positions;
+        *out_num_new_positions = num_new_positions;
 
-    fc_solve_kaz_tree_alloc_insert(traversed_states, &(new_item->key));
+        fc_solve_kaz_tree_alloc_insert(traversed_states, &(new_item->key));
 
-    /* Extract an item from the queue. */
-    while ((extracted_item = queue_head))
-    {
-        num_new_positions++;
-        if (!(queue_head = extracted_item->next))
+        /* Extract an item from the queue. */
+        while ((extracted_item = queue_head))
         {
-            queue_tail = NULL;
-        }
-
-        /* Handle the min_by_sorting scan. */
-        if ((!running_min_was_assigned) ||
-            (memcmp(&(extracted_item->key), &running_min, sizeof(running_min)) <
-                0))
-        {
-            running_min_was_assigned = TRUE;
-            running_min = extracted_item->key;
-            if (cache_does_key_exist(
-                    does_state_exist_in_any_FCC_cache, &(running_min)))
+            num_new_positions++;
+            if (!(queue_head = extracted_item->next))
             {
-                *is_min_by_sorting_new = FALSE;
-                goto free_resources;
+                queue_tail = NULL;
             }
-            else
+
+            /* Handle the min_by_sorting scan. */
+            if ((!running_min_was_assigned) ||
+                (memcmp(&(extracted_item->key), &running_min,
+                     sizeof(running_min)) < 0))
             {
-                cache_insert(does_state_exist_in_any_FCC_cache, &(running_min),
-                    NULL, '\0');
+                running_min_was_assigned = TRUE;
+                running_min = extracted_item->key;
+                if (cache_does_key_exist(
+                        does_state_exist_in_any_FCC_cache, &(running_min)))
+                {
+                    *is_min_by_sorting_new = FALSE;
+                    goto free_resources;
+                }
+                else
+                {
+                    cache_insert(does_state_exist_in_any_FCC_cache,
+                        &(running_min), NULL, '\0');
+                }
             }
-        }
 
-        /* Calculate the derived list. */
-        fcs_derived_state_t *derived_list = NULL;
+            /* Calculate the derived list. */
+            fcs_derived_state_t *derived_list = NULL;
 
-        /* Handle item. */
-        fc_solve_delta_stater_decode_into_state(&delta_stater,
-            extracted_item->key.s, &(state), indirect_stacks_buffer);
+            /* Handle item. */
+            fc_solve_delta_stater_decode_into_state(&delta_stater,
+                extracted_item->key.s, &(state), indirect_stacks_buffer);
 
-        instance_solver_thread_calc_derived_states(local_variant, &state, NULL,
-            &derived_list, &derived_list_recycle_bin, &derived_list_allocator,
-            /* Horne's Prune should be disabled because that interferes
-             * with the FCC-depth. */
-            FALSE);
+            instance_solver_thread_calc_derived_states(local_variant, &state,
+                NULL, &derived_list, &derived_list_recycle_bin,
+                &derived_list_allocator,
+                /* Horne's Prune should be disabled because that interferes
+                 * with the FCC-depth. */
+                FALSE);
 
-        /* Allocate a spare 'new_item'. */
-        if (queue_recycle_bin)
-        {
-            new_item = queue_recycle_bin;
-            queue_recycle_bin = queue_recycle_bin->next;
-        }
-        else
-        {
-            new_item = (fcs_dbm_queue_item_t *)fcs_compact_alloc_ptr(
-                &(queue_allocator), sizeof(*new_item));
-        }
+            /* Allocate a spare 'new_item'. */
+            if (queue_recycle_bin)
+            {
+                new_item = queue_recycle_bin;
+                queue_recycle_bin = queue_recycle_bin->next;
+            }
+            else
+            {
+                new_item = (fcs_dbm_queue_item_t *)fcs_compact_alloc_ptr(
+                    &(queue_allocator), sizeof(*new_item));
+            }
 
-        /* Enqueue the new elements to the queue. */
-        for (var_AUTO(derived_iter, derived_list); derived_iter;
-             derived_iter = next_derived_iter)
-        {
-            const fcs_bool_t is_reversible =
-                (derived_iter->core_irreversible_moves_count == 0);
-            fcs_init_and_encode_state(&delta_stater, local_variant,
-                &(derived_iter->state), &(new_item->key));
-            const_AUTO(extra_move, derived_iter->move);
-
-            if (!(is_reversible
-                        ? (fc_solve_kaz_tree_lookup_value(
-                               traversed_states, &(new_item->key)) != NULL)
-                        : add_start_point(&(new_item->key),
-                              start_state_moves_seq,
-                              &(extracted_item->moves_seq), extra_move,
-                              add_start_point_context)))
+            /* Enqueue the new elements to the queue. */
+            for (var_AUTO(derived_iter, derived_list); derived_iter;
+                 derived_iter = next_derived_iter)
             {
-                if (is_reversible)
+                const fcs_bool_t is_reversible =
+                    (derived_iter->core_irreversible_moves_count == 0);
+                fcs_init_and_encode_state(&delta_stater, local_variant,
+                    &(derived_iter->state), &(new_item->key));
+                const_AUTO(extra_move, derived_iter->move);
+
+                if (!(is_reversible
+                            ? (fc_solve_kaz_tree_lookup_value(
+                                   traversed_states, &(new_item->key)) != NULL)
+                            : add_start_point(&(new_item->key),
+                                  start_state_moves_seq,
+                                  &(extracted_item->moves_seq), extra_move,
+                                  add_start_point_context)))
                 {
-                    fcc_brfs_add_key_to_tree(traversed_states, &new_item->key);
-                    fcs_fcc_moves_list_item_t *moves_list,
-                        **end_moves_iter = &moves_list;
-                    /* Fill in the moves. */
-                    int pos_in_moves = 0;
-                    fc_solve__internal__copy_moves(&(extracted_item->moves_seq),
-                        &pos_in_moves, &end_moves_iter, extra_move,
-                        moves_list_allocator);
-
-                    new_item->moves_seq.count = pos_in_moves;
-                    new_item->moves_seq.moves_list = moves_list;
-
-                    /* Enqueue the item in the queue. */
-                    new_item->next = NULL;
-                    if (queue_tail)
+                    if (is_reversible)
+                    {
+                        fcc_brfs_add_key_to_tree(
+                            traversed_states, &new_item->key);
+                        fcs_fcc_moves_list_item_t *moves_list,
+                            **end_moves_iter = &moves_list;
+                        /* Fill in the moves. */
+                        int pos_in_moves = 0;
+                        fc_solve__internal__copy_moves(
+                            &(extracted_item->moves_seq), &pos_in_moves,
+                            &end_moves_iter, extra_move, moves_list_allocator);
+
+                        new_item->moves_seq.count = pos_in_moves;
+                        new_item->moves_seq.moves_list = moves_list;
+
+                        /* Enqueue the item in the queue. */
+                        new_item->next = NULL;
+                        if (queue_tail)
+                        {
+                            queue_tail = queue_tail->next = new_item;
+                        }
+                        else
+                        {
+                            queue_head = queue_tail = new_item;
+                        }
+                    }
+
+                    /*
+                     * Allocate a new new_item.
+                     *
+                     * Note: we need to allocate it for both reversibles
+                     * and non-reversible moves because pointers to their keys
+                     * are kept inside the dict_t-s.
+                     * */
+                    if (queue_recycle_bin)
                     {
-                        queue_tail = queue_tail->next = new_item;
+                        new_item = queue_recycle_bin;
+                        queue_recycle_bin = queue_recycle_bin->next;
                     }
                     else
                     {
-                        queue_head = queue_tail = new_item;
+                        new_item =
+                            (fcs_dbm_queue_item_t *)fcs_compact_alloc_ptr(
+                                &(queue_allocator), sizeof(*new_item));
                     }
                 }
 
-                /*
-                 * Allocate a new new_item.
-                 *
-                 * Note: we need to allocate it for both reversibles
-                 * and non-reversible moves because pointers to their keys
-                 * are kept inside the dict_t-s.
-                 * */
-                if (queue_recycle_bin)
-                {
-                    new_item = queue_recycle_bin;
-                    queue_recycle_bin = queue_recycle_bin->next;
-                }
-                else
-                {
-                    new_item = (fcs_dbm_queue_item_t *)fcs_compact_alloc_ptr(
-                        &(queue_allocator), sizeof(*new_item));
-                }
+                /* Recycle derived_iter.  */
+                next_derived_iter = derived_iter->next;
+                derived_iter->next = derived_list_recycle_bin;
+                derived_list_recycle_bin = derived_iter;
             }
 
-            /* Recycle derived_iter.  */
-            next_derived_iter = derived_iter->next;
-            derived_iter->next = derived_list_recycle_bin;
-            derived_list_recycle_bin = derived_iter;
+            /* We always hold one new_item spare, so let's recycle it now. */
+            new_item->next = queue_recycle_bin;
+            queue_recycle_bin = new_item;
+
+            /* Clean up the extracted_item's resources. We no longer need them
+             * because we are interested only in those of the derived items.
+             * */
+            fc_solve_fcc_release_moves_seq(
+                &(extracted_item->moves_seq), moves_list_allocator);
         }
 
-        /* We always hold one new_item spare, so let's recycle it now. */
-        new_item->next = queue_recycle_bin;
-        queue_recycle_bin = new_item;
+        if ((*is_min_by_sorting_new = (!fc_solve_kaz_tree_lookup_value(
+                 does_min_by_sorting_exist, &(running_min)))))
+        {
+            *min_by_sorting = running_min;
+            *out_num_new_positions = num_new_positions;
+        }
 
-        /* Clean up the extracted_item's resources. We no longer need them
-         * because we are interested only in those of the derived items.
-         * */
-        fc_solve_fcc_release_moves_seq(
-            &(extracted_item->moves_seq), moves_list_allocator);
+    /* Free the allocated resources. */
+    free_resources:
+        fc_solve_compact_allocator_finish(&(queue_allocator));
+        fc_solve_compact_allocator_finish(&(derived_list_allocator));
+        fc_solve_delta_stater_release(&delta_stater);
+        fc_solve_kaz_tree_destroy(traversed_states);
     }
 
-    if ((*is_min_by_sorting_new = (!fc_solve_kaz_tree_lookup_value(
-             does_min_by_sorting_exist, &(running_min)))))
+    typedef struct
     {
-        *min_by_sorting = running_min;
-        *out_num_new_positions = num_new_positions;
-    }
-
-/* Free the allocated resources. */
-free_resources:
-    fc_solve_compact_allocator_finish(&(queue_allocator));
-    fc_solve_compact_allocator_finish(&(derived_list_allocator));
-    fc_solve_delta_stater_release(&delta_stater);
-    fc_solve_kaz_tree_destroy(traversed_states);
-}
+        fcs_FCC_start_points_list_t *next_start_points_list;
+        dict_t *do_next_fcc_start_points_exist;
+        fcs_fcc_moves_seq_allocator_t *moves_list_allocator;
+    } add_start_point_context_t;
 
-typedef struct
-{
-    fcs_FCC_start_points_list_t *next_start_points_list;
-    dict_t *do_next_fcc_start_points_exist;
-    fcs_fcc_moves_seq_allocator_t *moves_list_allocator;
-} add_start_point_context_t;
-
-/*
- * Returns if already exist (the NOT of if the state is new).
- */
-static fcs_bool_t fc_solve_add_start_point_in_mem(
-    const fcs_encoded_state_buffer_t *const enc_state,
-    const fcs_fcc_moves_seq_t *const start_state_moves_seq,
-    fcs_fcc_moves_seq_t *const after_start_moves_seq,
-    const unsigned char extra_move, void *const void_context)
-{
-    add_start_point_context_t *const context =
-        (add_start_point_context_t *)void_context;
-    dict_t *const tree = context->do_next_fcc_start_points_exist;
-
-    if (fc_solve_kaz_tree_lookup_value(tree, enc_state))
-    {
-        return TRUE;
-    }
-
-    fcc_brfs_add_key_to_tree(tree, enc_state);
-    /* Fill in the moves. */
-    fcs_fcc_moves_list_item_t *moves_list;
-    fcs_fcc_moves_list_item_t **end_moves_iter = &moves_list;
-    int pos_in_moves = 0;
     /*
-     * TODO : optimise the loop so the data will be copied
-     * in one go by jumps of FCS_FCC_NUM_MOVES_IN_ITEM
-     * */
-    const fcs_fcc_moves_list_item_t *start_iter =
-        start_state_moves_seq->moves_list;
-    const int count_start_state_moves = start_state_moves_seq->count;
-    fcs_fcc_moves_seq_allocator_t *const moves_list_allocator =
-        context->moves_list_allocator;
-    for (; pos_in_moves < count_start_state_moves;)
+     * Returns if already exist (the NOT of if the state is new).
+     */
+    static fcs_bool_t fc_solve_add_start_point_in_mem(
+        const fcs_encoded_state_buffer_t *const enc_state,
+        const fcs_fcc_moves_seq_t *const start_state_moves_seq,
+        fcs_fcc_moves_seq_t *const after_start_moves_seq,
+        const unsigned char extra_move, void *const void_context)
     {
-        if (pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+        add_start_point_context_t *const context =
+            (add_start_point_context_t *)void_context;
+        dict_t *const tree = context->do_next_fcc_start_points_exist;
+
+        if (fc_solve_kaz_tree_lookup_value(tree, enc_state))
         {
-            (*end_moves_iter) =
-                fc_solve_fcc_alloc_moves_list_item(moves_list_allocator);
+            return TRUE;
         }
-        (*end_moves_iter)->data.s[pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM] =
-            start_iter->data.s[pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM];
-        if ((++pos_in_moves) % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+
+        fcc_brfs_add_key_to_tree(tree, enc_state);
+        /* Fill in the moves. */
+        fcs_fcc_moves_list_item_t *moves_list;
+        fcs_fcc_moves_list_item_t **end_moves_iter = &moves_list;
+        int pos_in_moves = 0;
+        /*
+         * TODO : optimise the loop so the data will be copied
+         * in one go by jumps of FCS_FCC_NUM_MOVES_IN_ITEM
+         * */
+        const fcs_fcc_moves_list_item_t *start_iter =
+            start_state_moves_seq->moves_list;
+        const int count_start_state_moves = start_state_moves_seq->count;
+        fcs_fcc_moves_seq_allocator_t *const moves_list_allocator =
+            context->moves_list_allocator;
+        for (; pos_in_moves < count_start_state_moves;)
         {
-            end_moves_iter = &((*end_moves_iter)->next);
-            start_iter = start_iter->next;
+            if (pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+            {
+                (*end_moves_iter) =
+                    fc_solve_fcc_alloc_moves_list_item(moves_list_allocator);
+            }
+            (*end_moves_iter)
+                ->data.s[pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM] =
+                start_iter->data.s[pos_in_moves % FCS_FCC_NUM_MOVES_IN_ITEM];
+            if ((++pos_in_moves) % FCS_FCC_NUM_MOVES_IN_ITEM == 0)
+            {
+                end_moves_iter = &((*end_moves_iter)->next);
+                start_iter = start_iter->next;
+            }
         }
-    }
-    fc_solve__internal__copy_moves(after_start_moves_seq, &pos_in_moves,
-        &end_moves_iter, extra_move, moves_list_allocator);
-
-    /* Enqueue the new FCC start point. */
-    fcs_FCC_start_points_list_t *const fcc_start_points =
-        context->next_start_points_list;
-    fcs_FCC_start_point_t *new_start_point;
-    if (fcc_start_points->recycle_bin)
-    {
-        new_start_point = fcc_start_points->recycle_bin;
-        fcc_start_points->recycle_bin = fcc_start_points->recycle_bin->next;
-    }
-    else
-    {
-        new_start_point = (fcs_FCC_start_point_t *)fcs_compact_alloc_ptr(
-            &(fcc_start_points->allocator), sizeof(*new_start_point));
-    }
-    *new_start_point = (typeof(*new_start_point)){.enc_state = *enc_state,
-        .moves_seq = {.count = pos_in_moves, .moves_list = moves_list},
-        .next = fcc_start_points->list};
+        fc_solve__internal__copy_moves(after_start_moves_seq, &pos_in_moves,
+            &end_moves_iter, extra_move, moves_list_allocator);
+
+        /* Enqueue the new FCC start point. */
+        fcs_FCC_start_points_list_t *const fcc_start_points =
+            context->next_start_points_list;
+        fcs_FCC_start_point_t *new_start_point;
+        if (fcc_start_points->recycle_bin)
+        {
+            new_start_point = fcc_start_points->recycle_bin;
+            fcc_start_points->recycle_bin = fcc_start_points->recycle_bin->next;
+        }
+        else
+        {
+            new_start_point = (fcs_FCC_start_point_t *)fcs_compact_alloc_ptr(
+                &(fcc_start_points->allocator), sizeof(*new_start_point));
+        }
+        *new_start_point = (typeof(*new_start_point)){.enc_state = *enc_state,
+            .moves_seq = {.count = pos_in_moves, .moves_list = moves_list},
+            .next = fcc_start_points->list};
 
-    /*
-     * Enqueue the new start point - it won't work without it,
-     * retardo! */
-    fcc_start_points->list = new_start_point;
+        /*
+         * Enqueue the new start point - it won't work without it,
+         * retardo! */
+        fcc_start_points->list = new_start_point;
 
-    return FALSE;
-}
+        return FALSE;
+    }
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/fcc_brfs_test.h b/fc-solve/source/fcc_brfs_test.h
index f06137c4b..796d079ea 100644
--- a/fc-solve/source/fcc_brfs_test.h
+++ b/fc-solve/source/fcc_brfs_test.h
@@ -16,50 +16,52 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "dbm_common.h"
 
-typedef unsigned char fcs_fcc_move_t;
+    typedef unsigned char fcs_fcc_move_t;
 
 #define FCS_FCC_NUM_MOVES_IN_ITEM 8
 
-typedef struct fcs_fcc_moves_list_item_struct
-{
-    struct fcs_fcc_moves_list_item_struct *next;
-    struct
+    typedef struct fcs_fcc_moves_list_item_struct
     {
-        fcs_fcc_move_t s[FCS_FCC_NUM_MOVES_IN_ITEM];
-    } data;
-} fcs_fcc_moves_list_item_t;
+        struct fcs_fcc_moves_list_item_struct *next;
+        struct
+        {
+            fcs_fcc_move_t s[FCS_FCC_NUM_MOVES_IN_ITEM];
+        } data;
+    } fcs_fcc_moves_list_item_t;
 
-typedef struct
-{
-    int count;
-    fcs_fcc_moves_list_item_t *moves_list;
-} fcs_fcc_moves_seq_t;
+    typedef struct
+    {
+        int count;
+        fcs_fcc_moves_list_item_t *moves_list;
+    } fcs_fcc_moves_seq_t;
 
-typedef struct
-{
-    int count;
-    fcs_fcc_move_t *moves;
-    char *state_as_string;
-} fcs_FCC_start_point_result_t;
+    typedef struct
+    {
+        int count;
+        fcs_fcc_move_t *moves;
+        char *state_as_string;
+    } fcs_FCC_start_point_result_t;
 
-DLLEXPORT int fc_solve_user_INTERNAL_find_fcc_start_points(
-    fcs_dbm_variant_type_t, const char *, const int,
-    const fcs_fcc_move_t *const, fcs_FCC_start_point_result_t **, long *const);
+    DLLEXPORT int fc_solve_user_INTERNAL_find_fcc_start_points(
+        fcs_dbm_variant_type_t, const char *, const int,
+        const fcs_fcc_move_t *const, fcs_FCC_start_point_result_t **,
+        long *const);
 
-DLLEXPORT void fc_solve_user_INTERNAL_free_fcc_start_points(
-    fcs_FCC_start_point_result_t *const);
+    DLLEXPORT void fc_solve_user_INTERNAL_free_fcc_start_points(
+        fcs_FCC_start_point_result_t *const);
 
-DLLEXPORT int fc_solve_user_INTERNAL_is_fcc_new(fcs_dbm_variant_type_t,
-    const char *, const char *,
-    /* NULL-terminated */
-    const char **,
-    /* NULL-terminated */
-    const char **, fcs_bool_t *const);
+    DLLEXPORT int fc_solve_user_INTERNAL_is_fcc_new(fcs_dbm_variant_type_t,
+        const char *, const char *,
+        /* NULL-terminated */
+        const char **,
+        /* NULL-terminated */
+        const char **, fcs_bool_t *const);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/fcs_cl.h b/fc-solve/source/fcs_cl.h
index 8ae61bc28..923b6f809 100644
--- a/fc-solve/source/fcs_cl.h
+++ b/fc-solve/source/fcs_cl.h
@@ -18,52 +18,53 @@
 #include "fcs_back_compat.h"
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-typedef int (*freecell_solver_user_cmd_line_known_commands_callback_t)(
-    void *instance, int argc, freecell_solver_str_t argv[], int arg_index,
-    int *num_to_skip, int *ret, void *context);
+    typedef int (*freecell_solver_user_cmd_line_known_commands_callback_t)(
+        void *instance, int argc, freecell_solver_str_t argv[], int arg_index,
+        int *num_to_skip, int *ret, void *context);
 
-enum
-{
-    FCS_CMD_LINE_OK,
-    FCS_CMD_LINE_SKIP,
-    FCS_CMD_LINE_STOP,
-    FCS_CMD_LINE_UNRECOGNIZED_OPTION,
-    FCS_CMD_LINE_PARAM_WITH_NO_ARG,
-    FCS_CMD_LINE_ERROR_IN_ARG,
+    enum
+    {
+        FCS_CMD_LINE_OK,
+        FCS_CMD_LINE_SKIP,
+        FCS_CMD_LINE_STOP,
+        FCS_CMD_LINE_UNRECOGNIZED_OPTION,
+        FCS_CMD_LINE_PARAM_WITH_NO_ARG,
+        FCS_CMD_LINE_ERROR_IN_ARG,
 
-    FCS_CMD_LINE_USER = 0x10000
-};
+        FCS_CMD_LINE_USER = 0x10000
+    };
 
 /* One should use
  * freecell_solver_user_cmd_line_parse_args_with_file_nesting_count()
  * instead.
  * */
 #ifndef FC_SOLVE__REMOVE_OLD_API_1
-DLLEXPORT extern int freecell_solver_user_cmd_line_parse_args(void *instance,
-    int argc, freecell_solver_str_t argv[], int start_arg,
-    freecell_solver_str_t *known_parameters,
-    freecell_solver_user_cmd_line_known_commands_callback_t callback,
-    void *callback_context FCS__PASS_ERR_STR(char **error_string),
-    int *last_arg);
+    DLLEXPORT extern int freecell_solver_user_cmd_line_parse_args(
+        void *instance, int argc, freecell_solver_str_t argv[], int start_arg,
+        freecell_solver_str_t *known_parameters,
+        freecell_solver_user_cmd_line_known_commands_callback_t callback,
+        void *callback_context FCS__PASS_ERR_STR(char **error_string),
+        int *last_arg);
 #endif
 
-DLLEXPORT extern int
-freecell_solver_user_cmd_line_parse_args_with_file_nesting_count(void *instance,
-    int argc, freecell_solver_str_t argv[], int start_arg,
-    freecell_solver_str_t *known_parameters,
-    freecell_solver_user_cmd_line_known_commands_callback_t callback,
-    void *callback_context FCS__PASS_ERR_STR(char **error_string),
-    int *last_arg, int file_nesting_count,
-    freecell_solver_str_t opened_files_dir);
+    DLLEXPORT extern int
+    freecell_solver_user_cmd_line_parse_args_with_file_nesting_count(
+        void *instance, int argc, freecell_solver_str_t argv[], int start_arg,
+        freecell_solver_str_t *known_parameters,
+        freecell_solver_user_cmd_line_known_commands_callback_t callback,
+        void *callback_context FCS__PASS_ERR_STR(char **error_string),
+        int *last_arg, int file_nesting_count,
+        freecell_solver_str_t opened_files_dir);
 
-DLLEXPORT extern int freecell_solver_user_cmd_line_read_cmd_line_preset(
-    void *instance, const char *const preset_name,
-    freecell_solver_str_t *known_parameters FCS__PASS_ERR_STR(
-        char **error_string),
-    int file_nesting_count, freecell_solver_str_t opened_files_dir);
+    DLLEXPORT extern int freecell_solver_user_cmd_line_read_cmd_line_preset(
+        void *instance, const char *const preset_name,
+        freecell_solver_str_t *known_parameters FCS__PASS_ERR_STR(
+            char **error_string),
+        int file_nesting_count, freecell_solver_str_t opened_files_dir);
 
 #ifdef __cplusplus
 };
